#Import the code for pygame to work
import pygame, sys, random
import pygame.locals as GAME_GLOBALS
import pygame.event as GAME_EVENTS

#Start pygame
pygame.init()

#Bring in the game speed controls
clock = pygame.time.Clock()

#Create a window called "GameWindow"
windowWidth = 500
windowHeight = 400
DARKGREEN = (0,125,0)
GameWindow = pygame.display.set_mode((windowWidth, windowHeight))

#Rectangle attributes
RED = (255,0,0)
posX = 25
posY = 185
width = 50
height = 30
speed = 1

#Set starting direction of animation
moveRight = True

#Start the game loop
while True:

    #Set the game speed to 90 ticks per second
    clock.tick(90)

    #Fill the screen with black
    GameWindow.fill(DARKGREEN)
    
    #Draw a rectangle to the window called "GameWindow"
    pygame.draw.rect(GameWindow, RED,(posX, posY, width, height))

    #Check if the square is at the edge of the screen
    #Change direction if that is true
    if posX >= windowWidth:
        moveRight = False
    if posX <= 0:
        moveRight = True

    #Check which direction the square is moving
    if moveRight == True:
        posX += speed
    else:
        posX -= speed

    #Find out the events that have taken place since the last update
    for event in GAME_EVENTS.get():
        
        #If the user has clicked the red cross on the window...
        if event.type == GAME_GLOBALS.QUIT:
            
            #Quit the game
            pygame.quit()
            sys.exit()
            
    #Update the display
    pygame.display.update()
